
textures/dmcjumps4/testers:q3map
{
	nopicmip
}

textures/dmcjumps4/specialtks:q3map
{
	nopicmip
}

textures/dmcjumps4/fxggirl94:q3map
{
	nopicmip
}

textures/dmcjumps4/makingmap:q3map
{
	nopicmip
}

textures/dmcjumps4/fxgmade:q3map
{
	nopicmip
}


textures/dmcjumps4/SoilBeach0024_3_S:q3map
{
	surfaceparm nodamage
}

textures/dmcjumps4/Groundplants0101_2_S:q3map
{
	surfaceparm nodamage
}

textures/dmcjumps4/oneway:q3map
{
	surfaceparm nodamage
}

textures/dmcjumps4/noway:q3map
{
	surfaceparm nodamage
}

textures/dmcjumps4/2ways:q3map
{
	surfaceparm nodamage
}

textures/dmcjumps4/WaterFoam0001_19_S:q3map
{
	surfaceparm nodamage
	surfaceparm slick
}

textures/dmcjumps4/water
	{
		qer_editorimage textures/dmcjumps4/water.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap

		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/water/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -0.1 0.05
		}
	
		{ 
			map textures/water/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll 0.05 -0.01
		}

		{ 
			map textures/dmcjumps4/WaterFoam0008_2_S.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll -0.01 0.01
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
		

}

textures/dmcjumps4/floor
{
	q3map_terrain
	qer_editorimage textures/dmcjumps4/SoilBeach0024_3_S.jpg
	//Used for radiosity lighting
	q3map_lightImage textures/dmcjumps4/SoilBeach0024_3_S.jpg
	
	surfaceparm dust
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33
	q3map_lightmapAxis z

	// this means dot product squared, for faster falloff between vertical and horizontal planes
	q3map_alphaMod dotproduct2 ( 0 0 0.95 )

	surfaceparm pointlight
	surfaceparm nodamage

	{
		map textures/dmcjumps4/SoilBeach0024_3_S.jpg
		rgbGen vertex
	}
	{
		map textures/dmcjumps4/SoilBeach0024_3_S.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/dmcjumps4/floor5
{
	q3map_terrain
	qer_editorimage textures/dmcjumps4/SoilBeach0024_3_S.tga //alpha channel
	surfaceparm dust
	q3map_nonplanar
	q3map_shadeangle 90
	surfaceparm nodamage
	{
		map textures/dmcjumps4/RockSediment0036_7_S.tga // primary
		rgbGen identity
	}
	{
		map textures/dmcjumps4/SoilBeach0024_3_S.tga // secondary
		blendFunc blend
		alphaFunc gt0
		rgbGen identity
		alphaGen vertex
	
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/dmcjumps4/Rock
{
	q3map_terrain
	qer_editorimage textures/dmcjumps4/RockSediment.jpg
	//Used for radiosity lighting
	q3map_lightImage textures/dmcjumps4/RockSediment.jpg
	
	surfaceparm dust
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 33
	q3map_lightmapAxis z

	// this means dot product squared, for faster falloff between vertical and horizontal planes
	q3map_alphaMod dotproduct2 ( 0 0 0.95 )

	surfaceparm pointlight
	surfaceparm nodamage

	{
		map textures/dmcjumps4/Snow0065_6_S.jpg
		rgbGen vertex
	}
	{
		map textures/dmcjumps4/RockSediment.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/dmcjumps4/jump1
 {
 qer_editorimage textures/dmcjumps4/jump1.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
	surfaceparm nodamage
	nopicmip

 {
 map textures/dmcjumps4/jump1.tga
 blendFunc filter
 rgbGen identity
 }
 
 }

textures/dmcjumps4/jump2
 {
 qer_editorimage textures/dmcjumps4/jump2.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
	surfaceparm nodamage
	nopicmip

 {
 map textures/dmcjumps4/jump2.tga
 blendFunc filter
 rgbGen identity
 }
 
 }

textures/dmcjumps4/jump3
 {
 qer_editorimage textures/dmcjumps4/jump3.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
	surfaceparm nodamage
	nopicmip

 {
 map textures/dmcjumps4/jump3.tga
 blendFunc filter
 rgbGen identity
 }
 
 }

textures/dmcjumps4/jump4
 {
 qer_editorimage textures/dmcjumps4/jump4.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
	surfaceparm nodamage
	nopicmip

 {
 map textures/dmcjumps4/jump4.tga
 blendFunc filter
 rgbGen identity
 }
 
 }

textures/dmcjumps4/jump5
 {
 qer_editorimage textures/dmcjumps4/jump5.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
	surfaceparm nodamage
	nopicmip

 {
 map textures/dmcjumps4/jump5.tga
 blendFunc filter
 rgbGen identity
 }
 }

textures/dmcjumps4/jump6
 {
 qer_editorimage textures/dmcjumps4/jump6.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
	surfaceparm nodamage
	nopicmip

 {
 map textures/dmcjumps4/jump6.tga
 blendFunc filter
 rgbGen identity
 }
 
 }

textures/dmcjumps4/jump8
 {
 qer_editorimage textures/dmcjumps4/jump8.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
	surfaceparm nodamage
	nopicmip

 {
 map textures/dmcjumps4/jump8.tga
 blendFunc filter
 rgbGen identity
 }
 
 }

textures/dmcjumps4/jump9
 {
 qer_editorimage textures/dmcjumps4/jump9.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
	surfaceparm nodamage
	

 {
 map textures/dmcjumps4/jump9.tga
 blendFunc filter
 rgbGen identity
 }
 
 }

textures/dmcjumps4/jump7
 {
 qer_editorimage textures/dmcjumps4/jump7.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
	surfaceparm nodamage
	

 {
 map textures/dmcjumps4/jump7.tga
 blendFunc filter
 rgbGen identity
 }

 }

textures/dmcjumps4/teleport
 {
 qer_editorimage textures/dmcjumps4/teleport.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 2
	surfaceparm nodamage
	

 {
 map textures/dmcjumps4/teleport.tga
 blendFunc filter
 rgbGen identity
 }
 }

textures/dmcjumps4/teleport2
 {
 qer_editorimage textures/dmcjumps4/teleport2.tga
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 2
	surfaceparm nodamage
	

 {
 map textures/dmcjumps4/teleport2.tga
 blendFunc filter
 rgbGen identity
 }
 }

textures/dmcjumps4/jumppad:q3map
{
	surfaceparm nodamage
	nopicmip
}

textures/dmcjumps4/treat:q3map
{
	nopicmip
}

textures/dmcjumps4/chaos:q3map
{
	nopicmip
}

textures/dmcjumps4/goup:q3map
{
	nopicmip
}
textures/dmcjumps4/dmcice
 {
 qer_editorimage textures/dmcjumps4/dmcice.jpg
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 2
 surfaceparm nodamage
 surfaceparm slick

 {
 map textures/dmcjumps4/dmcice.jpg
 blendFunc filter
 rgbGen identity
 tcMod scale 2 2
 }
{
map textures/effects/tinfx2.tga
 blendFunc add
 rgbGen identity
 tcGen environment
 tcMod scale 2 2
 }
 }

textures/dmcjumps4/dmcglass
 {
 qer_editorimage textures/dmcjumps4/glass_dmc.jpg
 surfaceparm nolightmap
 surfaceparm trans
 qer_trans 0.5
 surfaceparm nodamage

 {
 map textures/dmcjumps4/glass_dmc.jpg
 blendFunc filter
 rgbGen identity
 tcMod scale 2 2
 }
 {
 map textures/effects/tinfx2.tga
 blendFunc add
 rgbGen identity
 tcGen environment
 tcMod scale 2 2
 }
 }

